CKEDITOR.plugins.add( 'type',
{
	init: function( editor )
	{
		editor.addCommand( 'typeCommand',
		{
			exec : function( editor )
			{
				var selected = '';
				if  (editor.getSelection().getSelectedText()) {
					selected = editor.getSelection().getSelectedText();
				} else {
					alert('رجاء تحديد النص اولا');
					return;
				}
				idrandnum1 = new Array(999999);
				random_id = Math.floor(Math.random() * idrandnum1.length);
				editor.insertHtml( "[type=" + random_id + "]" + selected +"[/type]" );
			}
		});
		editor.ui.addButton( 'type',
		{
			label: 'عرض نص في إطار مع تغيير لون النص ولون خلفية النص عند كل عرض للموضوع بطريقة الآلة الكاتبة',
			command: 'typeCommand',
			icon: this.path + 'type.gif'
		});
	}
});